ContactPair
Date: 2019-10-22

org.jmol.util

## Class ContactPair

- java.lang.Object
- - org.jmol.util.ContactPair

-     public class ContactPair
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `chord`
    `int` | `contactType`
    `float` | `d`
    `Atom[]` | `myAtoms`
    `private int` | `oldType`
    `javajs.util.P3` | `pt`
    `float[]` | `radii`
    `float` | `score`
    `float[]` | `vdws`
    `double` | `vdwVolume`
    `double` | `volume`
    `float` | `xVdwClash`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactPair(Atom[] atoms, int i1, int i2, float R, float r, float vdwA, float vdwB)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `getVolume()`
    `boolean` | `setForVdwClash(boolean isVdw)`
    `void` | `switchAtoms()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### radii

          public float[] radii

    - #### vdws

          public float[] vdws

    - #### myAtoms

          public Atom[] myAtoms

    - #### pt

          public javajs.util.P3 pt

    - #### volume

          public double volume

    - #### vdwVolume

          public double vdwVolume

    - #### score

          public float score

    - #### d

          public float d

    - #### chord

          public float chord

    - #### contactType

          public int contactType

    - #### xVdwClash

          public float xVdwClash

    - #### oldType

          private int oldType

  - ### Constructor Detail

    - #### ContactPair

          public ContactPair(Atom[] atoms,
                             int i1,
                             int i2,
                             float R,
                             float r,
                             float vdwA,
                             float vdwB)

  - ### Method Detail

    - #### getVolume

          private void getVolume()

    - #### setForVdwClash

          public boolean setForVdwClash(boolean isVdw)

    - #### switchAtoms

          public void switchAtoms()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`